Gamebase SDK for Unity 2.76.0 Toast Gamebase Platform

Loading...
Searching...
No Matches
Classes | Static Public Member Functions | List of all members
Gamebase Class Referencesealed

The Gamebase class is core of Gamebase service. More...

Collaboration diagram for Gamebase:

## Classes
class | Analytics
| The Analytics class can send the game indicator to the Gamebase Server. More...
class | Community
| This class provides wrapping of function execution related to TOAST Community. More...
class | Contact
| This class provides wrapping of function execution related to TOAST Contact. More...
class | GameNotice
| This class provides functionality related to game notices. More...
class | ImageNotice
| This class provides functionality related to image notices. More...
class | Launching
| The Launching class contains several informations that is received from the server after application is successfully launched. More...
class | Logger
| Send a log to Log & Crash Server. More...
class | Network
| The Network class indicates Network status. More...
class | Purchase
| The Purchase class provides several APIs related to purchasing processes. More...
class | Push
| The Push class provides registering push token API to ToastCloud Push Server and querying push token API. More...
class | TemporaryWithdrawal
| This class provides wrapping of function execution related to temporary withdrawal. More...
class | Terms
| Displays the terms and conditions set in the Gamebase console. More...
class | Util
| The Util class provides convenient and useful methods. More...
class | Webview
| The WebView class represents the entry point for launching WebView. More...

## Static Public Member Functions
static void | SetDebugMode (bool isDebugMode)
| Gamebase shows warning and error logs only.
static bool | IsSuccess (GamebaseError error)
| Return true if the GamebaseException object is null or the error code is zero.
static void | Initialize (GamebaseCallback.GamebaseDelegate< GamebaseResponse.Launching.LaunchingInfo > callback)
| This function initialize the Gamebase SDK with inspector settings.
static void | Initialize (GamebaseRequest.GamebaseConfiguration configuration, GamebaseCallback.GamebaseDelegate< GamebaseResponse.Launching.LaunchingInfo > callback)
| This function initialize the Gamebase SDK with Gamebase configuration.
static void | AddEventHandler (GamebaseCallback.DataDelegate< GamebaseResponse.Event.GamebaseEventMessage > eventHandler)
| Add a Gamebase event handler to be called when every events are arrived.
static void | RemoveEventHandler (GamebaseCallback.DataDelegate< GamebaseResponse.Event.GamebaseEventMessage > eventHandler)
| Remove a event handler.
static void | RemoveAllEventHandler ()
| Remove all event handler.
static void | Login (string providerName, GamebaseCallback.GamebaseDelegate< GamebaseResponse.Auth.AuthToken > callback)
| Try to authenticate by specifying an IdP type.
static void | Login (string providerName, Dictionary< string, object > additionalInfo, GamebaseCallback.GamebaseDelegate< GamebaseResponse.Auth.AuthToken > callback)
| There is information which must be included for login with some IdPs.
static void | CancelLoginWithExternalBrowser ()
| Cancels the ongoing external browser login process.
static void | Login (Dictionary< string, object > credentialInfo, GamebaseCallback.GamebaseDelegate< GamebaseResponse.Auth.AuthToken > callback)
| This game interface allows authentication to be made with SDK provided by IdP, before login to Gamebase with provided access token.
static void | LoginForLastLoggedInProvider (GamebaseCallback.GamebaseDelegate< GamebaseResponse.Auth.AuthToken > callback)
| Try login with the most recently logged-in IdP.
static void | LoginForLastLoggedInProvider (Dictionary< string, object > additionalInfo, GamebaseCallback.GamebaseDelegate< GamebaseResponse.Auth.AuthToken > callback)
| Try login with the most recently logged-in IdP.
static void | ChangeLogin (GamebaseResponse.Auth.ForcingMappingTicket forcingMappingTicket, GamebaseCallback.GamebaseDelegate< GamebaseResponse.Auth.AuthToken > callback)
| Change logged in account with ForcingMappingTicket.
static void | Logout (GamebaseCallback.ErrorDelegate callback)
| Try to log out from logged-in IdP.
static void | Withdraw (GamebaseCallback.ErrorDelegate callback)
| Below shows an example of how a game user withdraws while logged-in.
static void | AddMapping (string providerName, GamebaseCallback.GamebaseDelegate< GamebaseResponse.Auth.AuthToken > callback)
| Try mapping to another IdP while logged-in to a specific IdP.
static void | AddMapping (string providerName, Dictionary< string, object > additionalInfo, GamebaseCallback.GamebaseDelegate< GamebaseResponse.Auth.AuthToken > callback)
| There is information which must be included for mapping with some IdPs.
static void | AddMapping (Dictionary< string, object > credentialInfo, GamebaseCallback.GamebaseDelegate< GamebaseResponse.Auth.AuthToken > callback)
| This game interface allows authentication to be made with SDK provided by IdP, before applying Gamebase AddMapping with provided access token.
static void | AddMappingForcibly (string providerName, string forcingMappingKey, GamebaseCallback.GamebaseDelegate< GamebaseResponse.Auth.AuthToken > callback)
| This game interface allows authentication to be made with SDK provided by IdP, before applying Gamebase AddMapping with provided access token.
static void | AddMappingForcibly (string providerName, string forcingMappingKey, Dictionary< string, object > additionalInfo, GamebaseCallback.GamebaseDelegate< GamebaseResponse.Auth.AuthToken > callback)
| Forcibly trying to map the currently authenticated user identifier of Gamebase with the credential of external authentication provider.
static void | AddMappingForcibly (Dictionary< string, object > credentialInfo, string forcingMappingKey, GamebaseCallback.GamebaseDelegate< GamebaseResponse.Auth.AuthToken > callback)
| Forcibly trying to map the currently authenticated user identifier of Gamebase with the credential of external authentication provider.
static void | AddMappingForcibly (GamebaseResponse.Auth.ForcingMappingTicket forcingMappingTicket, GamebaseCallback.GamebaseDelegate< GamebaseResponse.Auth.AuthToken > callback)
| Forcibly trying to map the currently authenticated user identifier of Gamebase with the credential of external authentication provider.
static void | RemoveMapping (string providerName, GamebaseCallback.ErrorDelegate callback)
| Forcibly trying to map the currently authenticated user identifier of Gamebase with the credential of external authentication provider.
static void | QueryTransferAccount (GamebaseCallback.GamebaseDelegate< GamebaseResponse.Auth.TransferAccountInfo > callback)
| Try to query the transfer account to Gamebase.
static void | IssueTransferAccount (GamebaseCallback.GamebaseDelegate< GamebaseResponse.Auth.TransferAccountInfo > callback)
| Try to issue the transfer account.
static void | RenewTransferAccount (GamebaseRequest.Auth.TransferAccountRenewConfiguration configuration, GamebaseCallback.GamebaseDelegate< GamebaseResponse.Auth.TransferAccountInfo > callback)
| Try to renew the transfer account.
static void | TransferAccountWithIdPLogin (string accountId, string accountPassword, GamebaseCallback.GamebaseDelegate< GamebaseResponse.Auth.AuthToken > callback)
| Try to transfer account with transfer account id and password.
static List< string > | GetAuthMappingList ()
| Return the list of IdPs mapped to user IDs.
static string | GetAuthProviderUserID (string providerName)
| Get User ID from externally authenticated SDK.
static string | GetAuthProviderAccessToken (string providerName)
| Get Access Token from externally authentication SDK.
static GamebaseResponse.Auth.AuthProviderProfile | GetAuthProviderProfile (string providerName)
| Get Profile from externally authenticated SDK.
static string | GetSDKVersion ()
| Get the current version of the Gamebase SDK for Unity as a string.
static string | GetUserID ()
| Get User ID issued by Gamebase.
static string | GetAccessToken ()
| Get AccessToken issued by Gamebase.
static void | RequestLastLoggedInProvider (GamebaseCallback.GamebaseDelegate< string > callback)
| Get the last logged-in Provider Name in Gamebase.
static string | GetLastLoggedInProvider ()
| Get the last logged-in Provider Name in Gamebase.
static string | GetDeviceLanguageCode ()
| Gets the language code set for the current device.
static string | GetCarrierCode ()
| Gets the carrier code set for the current device.
static string | GetCarrierName ()
| Gets the carrier name set for the current device.
static string | GetCountryCode ()
| Gets the country code.
static string | GetCountryCodeOfUSIM ()
| Gets the country code set in USIM.
static string | GetCountryCodeOfDevice ()
| Gets the country code currently set on the device.
static bool | IsSandbox ()
| Returns whether this project is sandbox mode or not.
static void | SetDisplayLanguageCode (string languageCode)
| Sets the Gamebase displayLanguage.
static string | GetDisplayLanguageCode ()
| Gets the Gamebase displayLanguage.
static void | AddObserver (GamebaseCallback.DataDelegate< GamebaseResponse.SDK.ObserverMessage > observer)
| Integrated with AddEventHandler.
static void | RemoveObserver (GamebaseCallback.DataDelegate< GamebaseResponse.SDK.ObserverMessage > observer)
static void | RemoveAllObserver ()
static void | AddServerPushEvent (GamebaseCallback.DataDelegate< GamebaseResponse.SDK.ServerPushMessage > serverPushEvent)
| Integrated with AddEventHandler.
static void | RemoveServerPushEvent (GamebaseCallback.DataDelegate< GamebaseResponse.SDK.ServerPushMessage > serverPushEvent)
static void | RemoveAllServerPushEvent ()
static GamebaseResponse.Auth.BanInfo | GetBanInfo ()
| Use GamebaseResponse.Auth.BanInfo.From(GamebaseError error) instead of GetBanInfo.

## Detailed Description

The Gamebase class is core of Gamebase service.